Github messages for voidlinux
 help / color / Atom feed
* Re: [PR PATCH] [Merged]: docker: Use OPTS="-s=overlay2" in case OPTS is not set
       [not found] <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-19374@inbox.vuxu.org>
@ 2020-02-24  1:06 ` thypon
  2020-03-25 18:48 ` tetsumaki
                   ` (6 subsequent siblings)
  7 siblings, 0 replies; 8+ messages in thread
From: thypon @ 2020-02-24  1:06 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 557 bytes --]

There's a merged pull request on the void-packages repository

docker: Use OPTS="-s=overlay2" in case OPTS is not set
https://github.com/void-linux/void-packages/pull/19374

Description:
- docker daemon requires the default storage driver set in case
  multiple graphdrivers are available
- message error by docker: the real problem was this: failed to start daemon: error
      initializing graphdriver: /var/lib/docker contains several valid
      graphdrivers: overlay2, btrfs; Please cleanup or explicitly choose
      storage driver (-s <DRIVER>)

^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: docker: Use OPTS="-s=overlay2" in case OPTS is not set
       [not found] <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-19374@inbox.vuxu.org>
  2020-02-24  1:06 ` [PR PATCH] [Merged]: docker: Use OPTS="-s=overlay2" in case OPTS is not set thypon
@ 2020-03-25 18:48 ` tetsumaki
  2020-03-25 18:50 ` tetsumaki
                   ` (5 subsequent siblings)
  7 siblings, 0 replies; 8+ messages in thread
From: tetsumaki @ 2020-03-25 18:48 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 703 bytes --]

New comment by tetsumaki on void-packages repository

https://github.com/void-linux/void-packages/pull/19374#issuecomment-604020277

Comment:
Hello, this merge broke my docker on my dedicated server but not in my computer.

I have commented this line for fix my problem:
[ -n "$OPTS" ] || OPTS="-s=overlay2"

Error:
2020-03-25T18:29:58.54019 daemon.info: Mar 25 19:29:58 docker: time="2020-03-25T19:29:58.539517371+01:00" level=warning msg="failed to load plugin io.containerd.snapshotter.v1.overlayfs" error="/var/lib/docker/containerd/daemon/io.containerd.snapshotter.v1.overlayfs does not support d_type. If the backing filesystem is xfs, please reformat with ftype=1 to enable d_type support"

^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: docker: Use OPTS="-s=overlay2" in case OPTS is not set
       [not found] <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-19374@inbox.vuxu.org>
  2020-02-24  1:06 ` [PR PATCH] [Merged]: docker: Use OPTS="-s=overlay2" in case OPTS is not set thypon
  2020-03-25 18:48 ` tetsumaki
@ 2020-03-25 18:50 ` tetsumaki
  2020-03-25 18:50 ` tetsumaki
                   ` (4 subsequent siblings)
  7 siblings, 0 replies; 8+ messages in thread
From: tetsumaki @ 2020-03-25 18:50 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 701 bytes --]

New comment by tetsumaki on void-packages repository

https://github.com/void-linux/void-packages/pull/19374#issuecomment-604020277

Comment:
Hello, this merge broke my docker on my dedicated server but not in my computer.

I have commented this line for fix my problem:
[ -n "$OPTS" ] || OPTS="-s=overlay2"

Error:
    2020-03-25T18:49:47.56992 daemon.info: Mar 25 19:49:47 docker: time="2020-03-25T19:49:47.569432179+01:00" level=warning msg="could not use snapshotter overlayfs in metadata plugin" error="/var/lib/docker/containerd/daemon/io.containerd.snapshotter.v1.overlayfs does not support d_type. If the backing filesystem is xfs, please reformat with ftype=1 to enable d_type support"

^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: docker: Use OPTS="-s=overlay2" in case OPTS is not set
       [not found] <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-19374@inbox.vuxu.org>
                   ` (2 preceding siblings ...)
  2020-03-25 18:50 ` tetsumaki
@ 2020-03-25 18:50 ` tetsumaki
  2020-03-25 18:51 ` tetsumaki
                   ` (3 subsequent siblings)
  7 siblings, 0 replies; 8+ messages in thread
From: tetsumaki @ 2020-03-25 18:50 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 701 bytes --]

New comment by tetsumaki on void-packages repository

https://github.com/void-linux/void-packages/pull/19374#issuecomment-604020277

Comment:
Hello, this merge broke my docker on my dedicated server but not in my computer.

I have commented this line for fix my problem:
[ -n "$OPTS" ] || OPTS="-s=overlay2"

Error:

`2020-03-25T18:49:47.56992 daemon.info: Mar 25 19:49:47 docker: time="2020-03-25T19:49:47.569432179+01:00" level=warning msg="could not use snapshotter overlayfs in metadata plugin" error="/var/lib/docker/containerd/daemon/io.containerd.snapshotter.v1.overlayfs does not support d_type. If the backing filesystem is xfs, please reformat with ftype=1 to enable d_type support"`

^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: docker: Use OPTS="-s=overlay2" in case OPTS is not set
       [not found] <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-19374@inbox.vuxu.org>
                   ` (3 preceding siblings ...)
  2020-03-25 18:50 ` tetsumaki
@ 2020-03-25 18:51 ` tetsumaki
  2020-03-25 18:58 ` tetsumaki
                   ` (2 subsequent siblings)
  7 siblings, 0 replies; 8+ messages in thread
From: tetsumaki @ 2020-03-25 18:51 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 700 bytes --]

New comment by tetsumaki on void-packages repository

https://github.com/void-linux/void-packages/pull/19374#issuecomment-604020277

Comment:
Hello, this merge broke my docker on my dedicated server but not in my computer.

I have commented this line for fix my problem:
[ -n "$OPTS" ] || OPTS="-s=overlay2"

Error:

	2020-03-25T18:49:47.56992 daemon.info: Mar 25 19:49:47 docker: time="2020-03-25T19:49:47.569432179+01:00" level=warning msg="could not use snapshotter overlayfs in metadata plugin" error="/var/lib/docker/containerd/daemon/io.containerd.snapshotter.v1.overlayfs does not support d_type. If the backing filesystem is xfs, please reformat with ftype=1 to enable d_type support"

^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: docker: Use OPTS="-s=overlay2" in case OPTS is not set
       [not found] <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-19374@inbox.vuxu.org>
                   ` (4 preceding siblings ...)
  2020-03-25 18:51 ` tetsumaki
@ 2020-03-25 18:58 ` tetsumaki
  2020-03-25 19:00 ` tetsumaki
  2020-03-25 19:40 ` Anachron
  7 siblings, 0 replies; 8+ messages in thread
From: tetsumaki @ 2020-03-25 18:58 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1525 bytes --]

New comment by tetsumaki on void-packages repository

https://github.com/void-linux/void-packages/pull/19374#issuecomment-604020277

Comment:
Hello, this merge broke my docker on my dedicated server but not in my computer.

I have commented this line for fix my problem:
[ -n "$OPTS" ] || OPTS="-s=overlay2"

Error:

	2020-03-25T18:49:47.56992 daemon.info: Mar 25 19:49:47 docker: time="2020-03-25T19:49:47.569432179+01:00" level=warning msg="could not use snapshotter overlayfs in metadata plugin" error="/var/lib/docker/containerd/daemon/io.containerd.snapshotter.v1.overlayfs does not support d_type. If the backing filesystem is xfs, please reformat with ftype=1 to enable d_type support"

For information, f_type is 0 on my dedicated server:

	$ xfs_info /
	meta-data=/dev/mapper/luks-a7768716-3cd2-4a79-ae9e-a0b829b3d0ac isize=256    agcount=4, agsize=122051776 blks
			 =                       sectsz=512   attr=2, projid32bit=1
			 =                       crc=0        finobt=0, sparse=0, rmapbt=0
			 =                       reflink=0
	data     =                       bsize=4096   blocks=488207104, imaxpct=5
			 =                       sunit=0      swidth=0 blks
	naming   =version 2              bsize=4096   ascii-ci=0, ftype=0
	log      =internal log           bsize=4096   blocks=238382, version=2
			 =                       sectsz=512   sunit=0 blks, lazy-count=1
	realtime =none                   extsz=4096   blocks=0, rtextents=0

I can't format at the moment (mkfs.xfs -n ftype=1)

^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: docker: Use OPTS="-s=overlay2" in case OPTS is not set
       [not found] <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-19374@inbox.vuxu.org>
                   ` (5 preceding siblings ...)
  2020-03-25 18:58 ` tetsumaki
@ 2020-03-25 19:00 ` tetsumaki
  2020-03-25 19:40 ` Anachron
  7 siblings, 0 replies; 8+ messages in thread
From: tetsumaki @ 2020-03-25 19:00 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1562 bytes --]

New comment by tetsumaki on void-packages repository

https://github.com/void-linux/void-packages/pull/19374#issuecomment-604020277

Comment:
Hello, this merge broke my docker on my dedicated server but not in my computer.

I have commented this line for fix my problem:
[ -n "$OPTS" ] || OPTS="-s=overlay2"

Error:

	2020-03-25T18:49:47.56992 daemon.info: Mar 25 19:49:47 docker: time="2020-03-25T19:49:47.569432179+01:00" level=warning msg="could not use snapshotter overlayfs in metadata plugin" error="/var/lib/docker/containerd/daemon/io.containerd.snapshotter.v1.overlayfs does not support d_type. If the backing filesystem is xfs, please reformat with ftype=1 to enable d_type support"

For information, f_type is 0 on my dedicated server:

	$ xfs_info /
	meta-data=/dev/mapper/luks-a7768716-3cd2-4a79-ae9e-a0b829b3d0ac isize=256    agcount=4, agsize=122051776 blks
			 =                       sectsz=512   attr=2, projid32bit=1
			 =                       crc=0        finobt=0, sparse=0, rmapbt=0
			 =                       reflink=0
	data     =                       bsize=4096   blocks=488207104, imaxpct=5
			 =                       sunit=0      swidth=0 blks
	naming   =version 2              bsize=4096   ascii-ci=0, ftype=0
	log      =internal log           bsize=4096   blocks=238382, version=2
			 =                       sectsz=512   sunit=0 blks, lazy-count=1
	realtime =none                   extsz=4096   blocks=0, rtextents=0

I can't format at the moment (mkfs.xfs -n ftype=1)
I see later to reinstall my system.

^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: docker: Use OPTS="-s=overlay2" in case OPTS is not set
       [not found] <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-19374@inbox.vuxu.org>
                   ` (6 preceding siblings ...)
  2020-03-25 19:00 ` tetsumaki
@ 2020-03-25 19:40 ` Anachron
  7 siblings, 0 replies; 8+ messages in thread
From: Anachron @ 2020-03-25 19:40 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 213 bytes --]

New comment by Anachron on void-packages repository

https://github.com/void-linux/void-packages/pull/19374#issuecomment-604045871

Comment:
As a workaround modify the service file to not use the overlay2 option.

^ permalink raw reply	[flat|nested] 8+ messages in thread

end of thread, back to index

Thread overview: 8+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
     [not found] <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-19374@inbox.vuxu.org>
2020-02-24  1:06 ` [PR PATCH] [Merged]: docker: Use OPTS="-s=overlay2" in case OPTS is not set thypon
2020-03-25 18:48 ` tetsumaki
2020-03-25 18:50 ` tetsumaki
2020-03-25 18:50 ` tetsumaki
2020-03-25 18:51 ` tetsumaki
2020-03-25 18:58 ` tetsumaki
2020-03-25 19:00 ` tetsumaki
2020-03-25 19:40 ` Anachron

Github messages for voidlinux

Archives are clonable: git clone --mirror http://inbox.vuxu.org/voidlinux-github

Example config snippet for mirrors

Newsgroup available over NNTP:
	nntp://inbox.vuxu.org/vuxu.github.voidlinux


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git